import mymodule as mm

def ReadExcelFile():
    import pandas as pd
    #
    #      Excelファイルの読み込み
    #　　　モジュール xlrd がインストール済みであること
    #
    finnm = input('Input data file (*.xlsx) = ')
    xlsx_fl = pd.ExcelFile(finnm)                       #   ExcelファイルからExcelFile型オブジェクトを生成
    data_xlsx = pd.read_excel(xlsx_fl,  header = None)  #   ExcelFile型オブジェクトからDataFrame型オブジェクトを生成
    data = data_xlsx.values                             #   Dataframe型オブジェクトからnumpyの配列オブジェクトを生成
    print('\n', data)
    
    #
    #       Prepare the output file
    #
    s_out = input("Output data file (*.txt) = ")
    f_out = open(s_out, "w")
    f_out.write("Input data file = " + finnm + "\n\n")

    #
    #       n_vars: the number of variables
    #

    n_vars = len(data[0])   # len(csv_data[0])
    
    #
    #       var_names: List of the variable names
    #

    var_names = data[0]  #  csv_data[0]

    #
    #       var_cond: the condition indices of the variables
    #                    0: No transformation
    #                    1: Standardization
    #                    2 <= : Quantification  
    #

    var_cond = data[1] 

    n_data = len(data) - 2  

    X = []
    for j in range(n_vars):
        X.append([])
    for i in range(2, n_data + 2):
        for j in range(n_vars):
            X[j].append(data[i][j])

    return f_out, s_out, n_data, n_vars, var_names, var_cond, X
